const express = require('express');
const router = express.Router();
const {
    loginUser,
    updatePassword,
    getUserProfile
} = require('../controllers/userController');
const { auth } = require('../middleware/auth');

// 公开路由
router.post('/login', loginUser);

// 需要认证的路由
router.get('/profile', auth, getUserProfile);
router.put('/password', auth, updatePassword);

module.exports = router; 